{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block bodyClass "bg-light d-flex flex-column min-vh-100" %}

{% block bodyId "app_login" %}

{% block body %}
    <main class="container d-flex align-items-center flex-fill mt-n5">
        <div class="col-lg-4 offset-lg-4 text-center">

            <form method="post">
                <div class="card">
                    <div class="card-title pt-3">
                        <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>

                        {% if error %}
                            <div class="alert alert-danger mx-2 mb-0">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                        {% endif %}
                    </div>
                    <div class="card-body">
                        <label for="inputEmail" class="sr-only">Email</label>
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail"
                               class="form-control text-center"
                               placeholder="Email" required autofocus>
                        <label for="inputPassword" class="sr-only">Password</label>
                        <input type="password" name="password" id="inputPassword" class="form-control text-center"
                               placeholder="Password"
                               required>

                        <input type="hidden" name="_csrf_token"
                               value="{{ csrf_token('authenticate') }}"
                        >
                        <div class="custom-control custom-switch mt-1 mb-3">
                            <input type="checkbox" class="custom-control-input" id="remember_me" name="_remember_me">
                            <label class="custom-control-label" for="remember_me">Remember me </label>
                        </div>

                        <button class="btn btn-primary" type="submit">
                            Sign in
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </main>
{% endblock %}
